# == Class: captagent
#
# Full description of class captagent here.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Examples
#
#  class { captagent:
#    servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#  }
#
# === Authors
#
# Author Name <author@domain.com>
#
# === Copyright
#
# Copyright 2014 Your name here, unless otherwise noted.
#
class captagent(
 $filestore = $captagent::params::filestore,
 $workspace = $captagent::params::workspace,
 $package = $captagent::params::package,
 $config_template = $captagent::params::config_template,
 $captagent_init = $captagent::params::captagent_init,
 $captagent_sysconfig = $captagent::params::captagent_sysconfig,
 $captagent_init_template = $captagent::params::captagent_init_template,
 $captagent_sysconfig_template = $captagent::params::captagent_sysconfig_template,
 $captagent_folder = $captagent::params::captagent_folder,
 $service_enable   = $captagent::params::service_enable,
 $service_ensure   = $captagent::params::service_ensure,
 $service_enable   = $captagent::params::service_enable,
 $service_name     = $captagent::params::service_name,
 $service_manage   = $captagent::params::service_manage,
 $capture_host     = $yaf::params::capture_host,
 $capture_port     = $yaf::params::capture_port,
 $capture_interface = $yaf::params::capture_interface,
 $capture_id	   = $yaf::params::capture_id,
) inherits captagent::params {
  anchor { 'captagent::begin': } ->
  class { '::captagent::install':
    filestore => $filestore,
    workspace => $workspace,
    package => $package,
    captagent_folder => $captagent_folder,
  } ->
  class { '::captagent::config':   } ~>
  class { '::captagent::service':
   service_ensure => $service_ensure,
   service_enable => $service_enable,
   service_name   => $service_name,
   service_manage => $service_manage,
  } ->
  anchor { 'captagent::end': }


}
