class captagent::install (
   $filestore,
   $workspace,
   $package,
   $captagent_folder,
)

{
  if $filestore {
    if ! defined(File[$workspace]) {
      file { $workspace:
        ensure => directory,
      }
    }
  }
  file { "${workspace}/$package":
    ensure  => present,
    source  => "${filestore}/$package",
  }
  exec { 'unpack-captagent-tarball':
    command     => "/bin/tar -zxf ${workspace}/${package}",
    cwd         => $workspace,
    creates     => "${workspace}/CAPTAGENT",
    require     => File["${workspace}/${package}"],
  }
  exec { 'build-captagent':
    command     => "/bin/sh ${workspace}/${captagent_folder}/build.sh",
    cwd         => $workspace,
    creates     => "${workspace}/${captagent_folder}/build.status",
    returns     => [0],
    require     => Exec["unpack-captagent-tarball"],
  }
  exec { 'configure-captagent':
    command     => "/bin/sh ${workspace}/${captagent_folder}/configure",
    cwd         => $workspace,
    creates     => "${workspace}/${captagent_folder}/Makefile",
    require     => Exec["build-captagent"],
  }
  exec { 'make-captagent':
    command     => "/usr/bin/make ${workspace}/${captagent_folder}/",
    cwd         => $workspace,
    creates     => "${workspace}/${captagent_folder}/src/captagent",
    require     => Exec["configure-captagent"],
  }
  exec { 'make-install-captagent':
    command     => "/usr/bin/make install ${workspace}/${captagent_folder}/",
    cwd         => $workspace,
    creates     => "/usr/local/bin/captagent",
    require     => Exec["make-captagent"],
  }

}
